commit:     11895070d2c70f6aa12120ddec7a47104521de55
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Tue Mar  2 21:17:17 2021 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Mar  2 21:32:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11895070

dev-python/google-reauth-python: version bump to 1.1.1

Signed-off-by: Mike Frysinger <vapier <AT> gentoo.org>

 dev-python/google-reauth-python/Manifest           |  1 +
 .../google-reauth-python-0.1.1.ebuild              | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/google-reauth-python/Manifest 
b/dev-python/google-reauth-python/Manifest
index 02bf095d83f..f0c4bede96d 100644
--- a/dev-python/google-reauth-python/Manifest
+++ b/dev-python/google-reauth-python/Manifest
@@ -1 +1,2 @@
 DIST google-reauth-python-0.1.0.tar.gz 17720 BLAKE2B 
c78a43f1062988ada715c9e1bb64c2252a3debd5b9b366df9780200717a006c5e4957bf37d81e645989c6fc74c5e5b4354c88244309bb1a22a936ef74f6172c8
 SHA512 
b92b822b5c59d74f7ac747e66f35eaa906a0e18ccbb791e0904551c6ecd9b904ac7602ea38333a16396ffa49638a1b4991827429c7f52311b9506f55400bf117
+DIST google-reauth-python-0.1.1.tar.gz 18302 BLAKE2B 
a21e174f7dffe48810679910bf8d6712fb4176e5608f2a068d575df3643c4db15a74dae92c15f4ffdc344d287c31a8eb58f94b0384e2d9fc808c072dc8f89043
 SHA512 
81705d4080b3d7fb0a73741f9f498f8014ec94aa165a5b112c8af8fddc8f040dc43809aff6df39354c8d975db0ee8d62d003c11b173bd56fcf9add1b01644930

diff --git a/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild 
b/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
new file mode 100644
index 00000000000..ae794b24b60
--- /dev/null
+++ b/dev-python/google-reauth-python/google-reauth-python-0.1.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based U2F host library"
+HOMEPAGE="https://github.com/google/google-reauth-python";
+SRC_URI="https://github.com/google/google-reauth-python/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/oauth2client-2.0.0[${PYTHON_USEDEP}]
+       dev-python/pyu2f[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=( CHANGELOG.rst CONTRIBUTING.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       sed -e "s:'some_origin'.encode('ascii'):'some_origin':" \
+               -e "s:SignResponse('key_handle', 
'resp',:SignResponse('key_handle'.encode(), 'resp'.encode(),:" \
+               -i tests/test_reauth.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to